Skip to main content
POST
/
analytics
/
v2
/
data
/
entityratingchange
Entity Rating Change
curl --request POST \
  --url https://gateway.creditbenchmark.com/analytics/v2/data/entityratingchange \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metric": "CCR",
  "rating_scale": "CB21",
  "effective_date": 20250930,
  "lookback_period": 6,
  "lookback_unit": "months",
  "scope": {
    "portfolio": {
      "CBId": [
        "CB0000022706",
        "CB0000022177"
      ]
    }
  },
  "result_filter": {
    "sort": [
      {
        "field": "CCR_change",
        "direction": "asc"
      }
    ],
    "limit": 25
  }
}
'
{
  "CBId": [
    "CB0000075935",
    "CB0000035484"
  ],
  "CBEntityName": [
    "VANGUARD MARKETING CORP",
    "NATIONAL BANK FINANCIAL INC"
  ],
  "CCR": [
    "bbb-",
    "a-"
  ],
  "CCR_6M": [
    "bbb",
    "a-"
  ],
  "CCRPD": [
    0.00322,
    0.00119
  ],
  "CCRPD_6M": [
    0.00212,
    0.00119
  ],
  "CCR_change": [
    -1,
    0
  ],
  "CCRPD_change": [
    0.0011,
    0
  ],
  "CCR_change_w_oci": [
    0,
    0
  ]
}

Authorizations

Authorization
string
header
required

JWT bearer token.

Body

application/json
scope
object
required

Defines the input universe. Use portfolio, filters, or both.

metric
enum<string>
default:CCR

Metric to compute. Use CCR for consensus analytics or MyRating for client-specific analytics.

Available options:
CCR,
MyRating
rating_scale
enum<string>
default:CB21

Rating scale to map results onto. Use CB21, CB7, or MyScale for the requesting bank's master scale.

Available options:
CB21,
CB7,
MyScale
effective_date
integer

As-of date in YYYYMMDD format. If omitted, the latest available date is used.

lookback_period
integer
default:6

Number of lookback_unit intervals used for the rating-change window.

Required range: x >= 0
lookback_unit
enum<string>
default:months
Available options:
months,
quarters,
years
result_filter
object

Optional result shaping applied after rating-change rows are computed. This route accepts final response fields such as CBId, CCRPD_change, and client_change, and stable aliases such as entity.*, metrics.*, and client.* when those fields are present.

Response

Entity rating changes retrieved successfully

Entity rating change results.

CBId
string[]
CBEntityName
string[]
CCR
(string | integer | number | boolean | null)[]
CCRPD
number[]
CCR_change
number[]
CCRPD_change
number[]
CCR_change_w_oci
number[]
ClientRating
(string | integer | number | boolean | null)[]
ClientPD
number[]
client_change
number[]
client_change_w_oci
number[]
{key}
(string | integer | number | boolean | null)[]